﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Dtos.FlowEngine.Workflow;

namespace Hotline.Share.Dtos.Order
{
    /// <summary>
    /// 工单流转
    /// </summary>
    public class OrderFlowDto
    {
        /// <summary>
        /// 工单信息
        /// </summary>
        public OrderDto Order { get; set; }

        /// <summary>
        /// 办理节点信息
        /// </summary>
        public WorkflowTraceDto WorkflowTrace { get; set; }

        /// <summary>
        /// 期满时间已变更
        /// </summary>
        public bool ExpiredTimeChanged { get; set; }

        /// <summary>
        /// 办理人部门等级
        /// </summary>
        public int HandlerOrgLevel { get; set; }
    }
}
