﻿using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

/// <summary>
/// 节点状态
/// </summary>
public enum EWorkflowStepStatus
{
    /// <summary>
    /// 待受理
    /// </summary>
    [Description("待受理")]
    WaitForAccept = 0,

    /// <summary>
    /// 待办理（已受理）
    /// </summary>
    [Description("待办理")]
    WaitForHandle = 1,

    /// <summary>
    /// 已办理
    /// </summary>
    [Description("已办理")]
    Handled = 2,
}