﻿namespace Hotline.Share.Mq
{
    /// <summary>
    /// 
    /// </summary>
    public partial class EventNames
    {
        /// <summary>
        /// 服务工单交办(省工单、110、市州数据交换都是这个)---AddOrderDto
        /// </summary>
        public const string SharingOrderCreation = "sharing.order.creation";

        /// <summary>
        /// 服务工单退回反馈---OrderSendBackResultDto
        /// </summary>
        public const string SharingOrderReturnFeedback = "sharing.order.return.feedback";

        /// <summary>
        /// 服务工单延时审核结果---ProvinceSendDelayResultDto
        /// </summary>
        public const string SharingOrderDelayResult = "sharing.order.delay.result";

        /// <summary>
        /// 服务工单交办补充诉求---OrderComplementDto
        /// </summary>
        public const string SharingOrderSupplements = "sharing.order.supplements";

        /// <summary>
        /// 服务工单撤单---CancelOrderDto
        /// </summary>
        public const string SharingOrderRevoke = "sharing.order.revoke";

        /// <summary>
        /// 服务工单催单---ProvinceOrderUrgeDto
        /// </summary>
        public const string SharingOrderRemind = "sharing.order.remind";

        /// <summary>
        /// 服务工单预警---WarningDto
        /// </summary>
        public const string SharingOrderWarning = "sharing.order.warning";

        /// <summary>
        /// 督办工单派发接口---ProvinceSendOrderSuperviseDto
        /// </summary>
        public const string SharingOrderSupervise = "sharing.order.supervise";

        /// <summary>
        /// 服务工单甄别结果---ProvinceSendScreenResultDto
        /// </summary>
        public const string SharingOrderScreen = "sharing.order.screen";

        /// <summary>
        /// 交办工单满意度接收---ProvinceOrderVisitDto
        /// </summary>
        public const string SharingOrderEvlResult = "sharing.order.evlresult";

        /// <summary>
        /// 上报工单处理结果/退回---OrderResultDto
        /// </summary>
        public const string SharingOrderReultSend = "sharing.order.reultsend";

        /// <summary>
        /// 上报工单评价---ProvinceOrderVisitDto
        /// </summary>
        public const string SharingOrderVisitInfo = "sharing.order.visitinfo";

        /// <summary>
        /// 服务工单拓展信息交办---OrderExtensionDto
        /// </summary>
        public const string SharingOrderExtends = "sharing.order.extends";

        /// <summary>
        /// 处理办理流程----AddOrderTracesDto
        /// </summary>
        public const string SharingOrderAddTraces = "sharing.order.add.traces";

        /// <summary>
        /// 提交评价信息(门户等第三方，提交全部部门的评价)
        /// </summary>
        public const string SharingOrderVisitAllOther = "sharing.order.visit.all.other";

        /// <summary>
        /// 更新工单受理附件
        /// </summary>
        public const string SharingOrderUpdataFiles = "sharing.order.visit.update.files";

    }
}
