﻿using MediatR;

namespace Hotline.DataSharing.Province.Notifications
{
    /// <summary>
    /// 撤销工单
    /// </summary>
    public class CancelOrderAsyncNotify : INotification
    {
        /// <summary>
        /// 工单Id
        /// </summary>
        public string OrderId { get; set; }

        /// <summary>
        /// 意见
        /// </summary>
        public string Opinion { get; set; }
    }
}
