﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Dtos.File;
using MediatR;

namespace Hotline.DataSharing.Province.Notifications
{
    /// <summary>
    /// 省延期结果通知
    /// </summary>
    public class DelayProvinceResultNotify : INotification
    {
        /// <summary>
        /// 省工单编号
        /// </summary>
        public string No { get; set; }

        /// <summary>
        /// 是否通过审批
        /// </summary>
        public bool IsPass { get; set; }

        /// <summary>
        /// 办理意见
        /// </summary>
        public string Opinion { get; set; }

        public List<FileDto> Files { get; set; }
	}
}
