﻿using Hotline.Share.Dtos.File;
using Hotline.Share.Dtos.Order;
using MediatR;

namespace Hotline.DataSharing.Province.Notifications;

/// <summary>
/// 督办工单派发
/// </summary>
public class ProvinceOrderSuperviseNotify : INotification
{
    public ProvinceOrderSuperviseDto? ProvinceOrderSuperviseDto { get; set; }

    public List<FileDto>? Files { get; set; }
}