﻿using Hotline.Share.Dtos;
using Hotline.Share.Dtos.Enterprise;
using XF.Domain.Cache;

namespace Hotline.Enterprise
{
	public interface IEnterpriseService
	{
		Task<EnterpriseListData> GetEnterpriseList(string name = "", int current = 1, int size = 10, CancellationToken cancellationToken = default, ITypedCache<EnterpriseVo> cacheResponse =default);
	}
}
