﻿#### 代码编写规范

##### 1. 参照微软推荐编码规范及约定
* https://docs.microsoft.com/zh-cn/dotnet/csharp/fundamentals/coding-style/identifier-names
* https://docs.microsoft.com/zh-cn/dotnet/csharp/fundamentals/coding-style/coding-conventions
* https://docs.microsoft.com/zh-cn/dotnet/standard/design-guidelines/naming-guidelines

##### 2. 该项目扩展规范
* 枚举：命名以大写E为前缀，在文件列表中可以一目了然
* 方法命名方式：

新增：Addxxx  
删除：Removexxx  
修改：Updatexxx  
查询单条数据：Getxxx 
查询多条数据：Queryxxx  
查询所有数据：QueryAllxxx  
异步方法以Async为后缀：GetxxxAsync  
* WebApi和Web项目的Action都尽量采用异步方法，但命名不加Async后缀(因为此处的调用方不以Action命名来调用，而是以路由规则来访问)
* 字段以'_'加小写字母为前缀，如：_orderDomainService