﻿using Hotline.Share.Dtos.FlowEngine;

namespace Hotline.Share.Dtos.Order;

public class NextStepsWithRecommendDto : NextStepsDto
{
    /// <summary>
    /// 推荐部门id
    /// </summary>
    public string RecommendOrgId { get; set; }

    /// <summary>
    /// 推荐部门名称
    /// </summary>
    public string RecommendOrgName { get; set; }
}

public class RecommendStepOption : NextStepOption
{
    /// <summary>
    /// 推荐部门id
    /// </summary>
    public string RecommendOrgId { get; set; }

    /// <summary>
    /// 推荐部门名称
    /// </summary>
    public string RecommendOrgName { get; set; }
}