﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Order
{
    /// <summary>
    /// 待办工单dto
    /// </summary>
    public class OrderWaitedDto : OrderDto
    {
        ///// <summary>
        ///// 已超期或预计超级时间
        ///// </summary>
        //public string ExpiredDescription { get; set; }

        /// <summary>
        /// 节点期满时间
        /// </summary>
        public DateTime? StepExpiredTime { get; set; }
    }

    public record QueryOrderWaitedDto(bool? IsProvince, bool? IsHandled) : PagedKeywordRequest;
}
