﻿using Hotline.Ai.Quality;
using Microsoft.Extensions.DependencyInjection;
using Hotline.Enterprise;
using Hotline.YbEnterprise.Sdk;

namespace Hotline.Api.Sdk
{
    public static class HotlineYbEnterpriseStartupExtensions
    {
        public static IServiceCollection AddYbEnterpriseSdk(this IServiceCollection services, EnterpriseConfig config)
        {
			services.AddSingleton<IEnterpriseService, EnterpriseService>(_ => new EnterpriseService(config));
			return services;
        }
    }
}
