﻿using Hotline.Share.Dtos.FlowEngine.Workflow;
using MediatR;

namespace Hotline.DataSharing.Province.Notifications
{
    /// <summary>
    /// 新增工单办理流程记录
    /// </summary>
    public class AddOrderTracesAsyncNotify : INotification
    {
        /// <summary>
        /// 工单ID
        /// </summary>
        public string OrderId { get; set; }

        /// <summary>
        /// 流程数据
        /// </summary>
        public ICollection<WorkflowTraceDto> Traces { get; set; }
    }
}
