﻿using Hotline.Share.Dtos.File;
using Hotline.Share.Dtos.Order;
using MediatR;

namespace Hotline.DataSharing.Province.Notifications;

/// <summary>
/// 接受其他平台工单数据
/// </summary>
public class ReceiveOrderNotify : IRequest<AddOrderResponse>
{
    public AddOrderDto AddOrderDto { get; set; }

    /// <summary>
    /// 附件列表
    /// </summary>
    public List<FileDto>? Files { get; set; }
}